package com.sunyard.chsm.model.dto;

import com.sunyard.chsm.enums.DeviceTmkStatus;
import com.sunyard.chsm.sdf.adapter.SdfApiAdapter;
import lombok.Data;

/**
 * @author liulu
 * @since 2024/12/10
 */
@Data
public class DeviceCheckRes {

    private DeviceTmkStatus status;
    private String deviceSerial;
    private String pubKey;
    private String encTmk;
    private boolean hasError = false;
    private String message;

    private SdfApiAdapter sdfApiAdapter;


}
