package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/10/29
 */
@Data
@TableName("sp_application")
public class Application {

    private Long id;
    private String name;
    private String status;
    // 32位uuid
    private String appKey;
    // 32位uuid
    private String appSecret;
    private Long creatorId;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}
