package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/10/22
 */
@Data
@TableName("sp_key_csr")
public class KeyCsr {

    private Long id;
    private Long applicationId;
    private Long keyId;
    private Long keyRecordId;
    private String subject;
    private String keyData;
    private String pubKey;
    private String csrTxt;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}
