package com.sunyard.ssp.modules.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunyard.ssp.modules.user.entity.ScUser;
import com.sunyard.ssp.vo.SearchVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author tsz
 * @since 2020-03-11
 */
public interface IScUserService extends IService<ScUser> {

    public ScUser findByUsername(String username);

    public Page<ScUser> findByCondition(ScUser user, SearchVo searchVo, Pageable pageable);

    boolean regist(ScUser u, Long[] roleIds) throws Exception;

}
